package com.sundot.airport.blocked.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.sundot.airport.common.annotation.Excel;
import com.sundot.airport.common.core.domain.BaseEntity;

/**
 * 开机人员年限分布对象 blocked_boot_personnel_tenure
 *
 * @author ruoyi
 * @date 2026-04-16
 */
@TableName("blocked_boot_personnel_tenure")
public class BlockedBootPersonnelTenure extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 租户号 */
    private String tenantId;

    /** 乐观锁 */
    private Long revision;

    /** 主键 */
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 业务大队id */
    private Long brigadeId;

    /** 业务大队名称 */
    @Excel(name = "业务大队")
    private String brigadeName;

    /** 5年及5年以上人员数 */
    @Excel(name = "5年及5年以上人员数")
    private Integer cntGe5Year;

    /** 4年人员数 */
    @Excel(name = "4年人员数")
    private Integer cnt4Years;

    /** 3年人员数 */
    @Excel(name = "3年人员数")
    private Integer cnt3Years;

    /** 2年人员数 */
    @Excel(name = "2年人员数")
    private Integer cnt2Years;

    /** 1年人员数 */
    @Excel(name = "1年人员数")
    private Integer cnt1Years;

    /** 不足1年人员数 */
    @Excel(name = "不足1年人员数")
    private Integer cntLt1Year;

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setRevision(Long revision) {
        this.revision = revision;
    }

    public Long getRevision() {
        return revision;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setBrigadeId(Long brigadeId) {
        this.brigadeId = brigadeId;
    }

    public Long getBrigadeId() {
        return brigadeId;
    }

    public void setBrigadeName(String brigadeName) {
        this.brigadeName = brigadeName;
    }

    public String getBrigadeName() {
        return brigadeName;
    }

    public void setCntGe5Year(Integer cntGe5Year) {
        this.cntGe5Year = cntGe5Year;
    }

    public Integer getCntGe5Year() {
        return cntGe5Year;
    }

    public void setCnt4Years(Integer cnt4Years) {
        this.cnt4Years = cnt4Years;
    }

    public Integer getCnt4Years() {
        return cnt4Years;
    }

    public void setCnt3Years(Integer cnt3Years) {
        this.cnt3Years = cnt3Years;
    }

    public Integer getCnt3Years() {
        return cnt3Years;
    }

    public void setCnt2Years(Integer cnt2Years) {
        this.cnt2Years = cnt2Years;
    }

    public Integer getCnt2Years() {
        return cnt2Years;
    }

    public void setCnt1Years(Integer cnt1Years) {
        this.cnt1Years = cnt1Years;
    }

    public Integer getCnt1Years() {
        return cnt1Years;
    }

    public void setCntLt1Year(Integer cntLt1Year) {
        this.cntLt1Year = cntLt1Year;
    }

    public Integer getCntLt1Year() {
        return cntLt1Year;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("tenantId", getTenantId())
                .append("revision", getRevision())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("id", getId())
                .append("brigadeId", getBrigadeId())
                .append("brigadeName", getBrigadeName())
                .append("cntGe5Year", getCntGe5Year())
                .append("cnt4Years", getCnt4Years())
                .append("cnt3Years", getCnt3Years())
                .append("cnt2Years", getCnt2Years())
                .append("cnt1Years", getCnt1Years())
                .append("cntLt1Year", getCntLt1Year())
                .toString();
    }
}
